Trouble getting luci-mod-dsl to work

I get these errors when I try to view the DSL stats:
Untitled
I installed it from System->Software and the version is git-23.338.83833-96bc97f

OpenWRT version:
OpenWrt 23.05.3 r23809-234f1a2efa / LuCI openwrt-23.05 branch git-24.073.29889-cd7e519

Please connect to your OpenWrt device using ssh and copy the output of the following commands and post it here using the "Preformatted text </> " button:
grafik
Remember to redact passwords, MAC addresses and any public IP addresses you may have:

ubus call system board
ubus call dsl metrics
1 Like

Here you go

root@OpenWrt:~# ubus call system board
{
        "kernel": "5.15.150",
        "hostname": "OpenWrt",
        "system": "ARMv8 Processor rev 4",
        "model": "GL.iNet GL-MT6000",
        "board_name": "glinet,gl-mt6000",
        "rootfs_type": "squashfs",
        "release": {
                "distribution": "OpenWrt",
                "version": "23.05.3",
                "revision": "r23809-234f1a2efa",
                "target": "mediatek/filogic",
                "description": "OpenWrt 23.05.3 r23809-234f1a2efa"
        }
}

root@OpenWrt:~# ubus call dsl metrics
Command failed: Not found

luci-mod-dsl is only intended for devices with a built-in DSL modem, but your device doesn't have one.

However, it would probably make sense to show a more friendly error message in that case. Looks like I forgot to think about this when adding the package initially.

1 Like

I see. Newb mistake on my part.

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.